Subject: bug#6589: 24.0.50; C-l doesn't work if cursor is at the top of the file

From: [email-masked]
Date: Fri, 09 Jul 2010 10:48:37 +0800

C-l runs the command recenter-top-bottom, which is an interactive
   compiled Lisp function in `window.el'.

However nothing happens when one's cursor is at the top of the buffer.
Works fine when the cursor is at the bottom of the buffer however.

And also little happens when one's cursor is near the top of the buffer.
emacs-snapshot package, version 1:20100705-1